TEMPLATE = app

CONFIG += warn_on qt
win32 {
  CONFIG += console
#  CONFIG += redist_dlls
}

QT += qt3support network
# qt3support apparently adds xml and sql
# and we cannot get rid off them although
# we don't use them.
# sadly, this line has no effect:
#QT -= xml sql

TARGET = grale
DESTDIR = ../app
win32:DESTDIR = ..\app

win32:redist_dlls {
  !exists($${DESTDIR}/QtCore4.dll) {
    system(copy /y ..\redist\win32\*.dll $${DESTDIR})
  }
}

#
# generate il.cpp if necessary
#
!exists(il.cpp) {
	BISONCMDLINE = bison --defines --file-prefix=il il.y
	
  message(Calling BISON)
  message(Command line: $$BISONCMDLINE)
  system($$BISONCMDLINE)
  win32 {
    system(cmd /c move il.tab.c il.cpp)
    system(cmd /c move il.tab.h il.hpp)
  }
  else {
    system(mv il.tab.c il.cpp)
    system(mv il.tab.h il.hpp)
  }
  exists(il.cpp) {
    message(Ok.)
  }
  else {
    error(BISON failed to generate il.cpp)
  }
}

# Input
HEADERS += canvas.h \
           compare.h \
           config.h \
           dataparser.h \
           dispnode.h \
           find.h \
           gabstractdatareader.h \
           gbuffer.h \
           gdata.h \
           gdataexchange.h \
           gdataholder.h \
           gdatamanager.h \
           gdataviewer.h \
           glatexrenderer.h \
           glistbox.h \
           global.h \
           gspacingdialog.h \
           gstructuredata.h \
           gsvgwidget.h \
           gsvgwindow.h \
           gtypehierarchydata.h \
           idtree.h \
           il.hpp \
           LRS_Config.h \
           LRS_Debug.h \
           LRS_ExpressionParser.h \
           LRS_MainWidget.h \
           LRS_MainWindow.h \
           LRS_NodeWidget.h \
           LRS_ObjectModel.h \
           LRS_TreeLayout.h \
           LRS_Util.h \
           mainw.h \
           node.h \
           NodeAddress.h \
           options.h \
           scrollcanvas.h \
           slider.h \
           StrucFindDialog.h \
           StrucFindDialogData.h \
           tools.h \
           vcanvas.h
SOURCES += canvas.cpp \
           compare.cpp \
           dataparser.cpp \
           drawer.cpp \
           find.cpp \
           gbuffer.cpp \
           gdataexchange.cpp \
           gdataholder.cpp \
           gdatamanager.cpp \
           gdataviewer.cpp \
           glatexrenderer.cpp \
           glistbox.cpp \
           gspacingdialog.cpp \
           gstructuredata.cpp \
           gsvgwidget.cpp \
           gsvgwindow.cpp \
           gtypehierarchydata.cpp \
           idtree.cpp \
           il.cpp \
           LRS_Config.cpp \
           LRS_ExpressionParser.cpp \
           LRS_MainWidget.cpp \
           LRS_MainWindow.cpp \
           LRS_NodeWidget.cpp \
           LRS_ObjectModel.cpp \
           LRS_TreeLayout.cpp \
           main.cpp \
           mainw.cpp \
           node.cpp \
           NodeAddress.cpp \
           options.cpp \
           scrollcanvas.cpp \
           slider.cpp \
           StrucFindDialog.cpp \
           StrucFindDialogData.cpp \
           tools.cpp \
           vcanvas.cpp \
           yylex.cpp
